> For the complete documentation index, see [llms.txt](https://docs.patchwallet.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.patchwallet.com/api/networks-supported.md).

# Networks Supported

Patch Wallets are deployed on the chains below. Users' Patch wallets have the same address on all chains.

### Networks Supported

<table><thead><tr><th width="307">Chain</th><th width="126">Chain Type</th><th width="111">Contracts</th><th width="79">API</th><th>Patch App</th></tr></thead><tbody><tr><td>Polygon - <code>matic</code></td><td>Production</td><td>✅</td><td>✅</td><td>✅</td></tr><tr><td>Arbitrum - <code>arb1</code></td><td>Production</td><td>✅</td><td>✅</td><td></td></tr><tr><td>Linea - <code>linea</code></td><td>Production</td><td>✅</td><td>✅</td><td></td></tr><tr><td>Base - <code>base</code></td><td>Production</td><td>✅</td><td>✅</td><td></td></tr><tr><td>Gnosis - <code>gno</code></td><td>Production</td><td>✅</td><td>✅</td><td></td></tr><tr><td>Binance Smart Chain - <code>bnb</code></td><td>Production</td><td>✅</td><td>✅</td><td></td></tr><tr><td>Zora - <code>zora-mainnet</code></td><td>Production</td><td>✅</td><td>🔜</td><td></td></tr><tr><td>Ethereum Mainnet - <code>eth</code></td><td>Production</td><td>✅</td><td>🔜</td><td></td></tr><tr><td>Optimism - <code>oeth</code></td><td>Production</td><td>🏗️</td><td></td><td></td></tr><tr><td>Polygon Mumbai - <code>maticmum</code></td><td>Testnet</td><td>✅</td><td>✅</td><td></td></tr><tr><td>Optimism Goerli - <code>ogor</code></td><td>Testnet</td><td>✅</td><td>✅</td><td></td></tr><tr><td>Arbitrum Goerli - <code>arb-goerli</code></td><td>Testnet</td><td>✅</td><td>✅</td><td></td></tr><tr><td>Gnosis Testnet - <code>chi</code></td><td>Testnet</td><td>✅</td><td>✅</td><td></td></tr><tr><td>Linea Testnet - <code>linea-testnet</code></td><td>Testnet</td><td>✅</td><td>✅</td><td></td></tr><tr><td>Zora Goerli - <code>zora-goerli</code></td><td>Testnet</td><td>✅</td><td>🔜</td><td></td></tr></tbody></table>

### Smart Contract Address

Smart contracts have the same address deployed to all EVM chains.

| Title                                     | Address                                                                                                                  |
| ----------------------------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| MultiECDSAFactoryPatch                    | [0x33DDF684dcc6937FfE59D8405aA80c41fB518C5c](https://polygonscan.com/address/0x33DDF684dcc6937FfE59D8405aA80c41fB518C5c) |
| MultiECDSAValidatorNew\.sol               | [0x9392c6a8a0b5d49cc697b8242d477509bae16700](https://polygonscan.com/address/0x9392c6a8a0b5d49cc697b8242d477509bae16700) |
| Patch Authority / Account owner (EOA)     | [0xdD664b8A02d3B13C0bdfB1878CbE66aA53B2de06](https://polygonscan.com/address/0xdD664b8A02d3B13C0bdfB1878CbE66aA53B2de06) |
| MultiECDSAKernelFactory.sol \[DEPRECATED] | [0xa7ac5B9d40D67e6cac7A975Bbf9b513Fb5EA8A60](https://polygonscan.com/address/0xa7ac5B9d40D67e6cac7A975Bbf9b513Fb5EA8A60) |
| KernelFactory.sol \[DEPRECATED]           | [0x83cc0a0869FB627C1154F2F263C1A438A1a5D51A](https://polygonscan.com/address/0x83cc0a0869FB627C1154F2F263C1A438A1a5D51A) |
| MultiECDSAValidator.sol \[DEPRECATED]     | [0x6549349c5B5269009748bdAD9F3cD63b57509411](https://polygonscan.com/address/0x6549349c5B5269009748bdAD9F3cD63b57509411) |
| BaseAccountFactory.sol \[DEPRECATED]      | [0x5d33b5b472c389355d97fe297cc7daf93d8bd4ab](https://polygonscan.com/address/0x5d33b5b472c389355d97fe297cc7daf93d8bd4ab) |

### Wallet Types

Patch wallets can have many different smart contract accounts attached to a user\_id but prioritizes one main account by default.

The past default accounts are below:

1. [Base Account](https://github.com/PaymagicXYZ/patch-base-account-contracts) - 2/27/2023 to 6/28/2023
2. [Kernel Account](https://github.com/PaymagicXYZ/zerodev-wallet-kernel) - 6/29/2023 to 8/28/2023
3. [Kernel 2.0 Account](https://github.com/PaymagicXYZ/kernel) - 8/29/2023


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.patchwallet.com/api/networks-supported.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
